Summary:	Convert ELF dynamically linked execulables to "pseudo-static"
Summary(pl.UTF-8):	Konwersja dynamicznych binarek ELF do pseudo-statycznych
Name:		statifier
Version:	1.7.3
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/statifier/%{name}-%{version}.tar.gz
# Source0-md5:	858ab8e3dc3aacc23e69f681d671479f
URL:		http://statifier.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.213
%ifarch amd64
BuildRequires:	glibc-static(amd64)
# can be athlon after Ac
BuildRequires:	glibc-static(i686)
%endif
%ifarch ia32e
BuildRequires:	glibc-static(i686)
BuildRequires:	glibc-static(ia32e)
%endif
%ifarch x86_64
BuildRequires:	glibc-static(x86_64)
BuildRequires:	glibc-static(i686)
%endif
BuildRequires:	sed >= 4.0
Requires:	coreutils
Requires:	gawk
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Statifier create from dynamically linked ELF executable and all it's
libraries (and all LD_PRELOAD libraries if any) one file. This file
can be copied and run on another machine without need to drag all it's
libraries.

%description -l pl.UTF-8
Statifier tworzy z dynamicznie zlinkowanej binarki ELF i wszystkich
jej bibliotek (oraz wszystkich bibliotek LD_PRELOAD jeżeli takie
występują) jeden plik. Ten plik może być kopiowany i uruchamiany na
innej maszynie bez potrzeby przenoszenia wszystkich bibliotek.

%prep
%setup -q

sed -i -e 's/-O2 -g/%{rpmcflags}/' src/Makefile

%build
%{__make} -j1 all

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README THANKS TODO doc
%attr(755,root,root) %{_bindir}/statifier
%dir %{_prefix}/lib/statifier
%{_prefix}/lib/statifier/VERSION
%attr(755,root,root) %{_prefix}/lib/statifier/*.sh
%attr(755,root,root) %{_prefix}/lib/statifier/*.src
%attr(755,root,root) %{_prefix}/lib/statifier/elf_class
%ifarch %{ix86} %{x8664}
%dir %{_prefix}/lib/%{name}/32
%attr(755,root,root) %{_prefix}/lib/statifier/32/*
%endif
%ifarch %{x8664}
%dir %{_prefix}/lib/%{name}/64
%attr(755,root,root) %{_prefix}/lib/statifier/64/*
%endif
%{_mandir}/man1/%{name}.1*
%changelog
* Tue Feb 17 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/statifier.git;a=log;h=master

* Tue Feb 17 2015 Tomasz Pala <gotar@pld-linux.org> 9312cb1
- make -j1 maybe?

* Tue Feb 17 2015 Tomasz Pala <gotar@pld-linux.org> e7cad2b
- fixed SF download link (?)

* Tue Feb 17 2015 Tomasz Pala <gotar@pld-linux.org> 4427b65
- upgraded to 1.7.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> bfd05dc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 64a1f39
- converted to UTF-8

* Sat Oct 29 2005 Jakub Bogusz <qboosh@pld-linux.org> d287de3
- fixed build on x86_64 (needs dual glibc-static there)
- only x86* and alpha are supported - EA added

* Sat Oct 29 2005 areq <areq@pld-linux.org> bd5b818
- 1.6.7, works

* Sat Jun 25 2005 areq <areq@pld-linux.org> a1bde0e
- 1.6.6

* Wed May 11 2005 Jakub Bogusz <qboosh@pld-linux.org> ae2cc26
- use x8664 macro

* Mon Jul 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 8496f55
- cosmetics

* Mon Jul 26 2004 undefine <undefine@pld-linux.org> 5610a44
- initial pld version based on built spec.
- doesn't work on pld's kernel :/

